Class: Aws::OpenSearchService::Types::UpdateCloneRequest

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-opensearchservice/lib/aws-sdk-opensearchservice/types.rb

Overview

Container for the request parameters to the UpdateClone operation.

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#cutover_options ⇒ Types::CutoverRequestOptions

Cuts the domain over to the cloned cluster or back to the primary cluster.



9936
9937
9938
9939
9940
9941
9942
9943
# File 'gems/aws-sdk-opensearchservice/lib/aws-sdk-opensearchservice/types.rb', line 9936

class UpdateCloneRequest < Struct.new(
  :domain_name,
  :traffic_split_options,
  :cutover_options,
  :retention_options)
  SENSITIVE = []
  include Aws::Structure
end

#domain_name ⇒ String

The name of the domain that has a cloned blue/green upgrade in progress.

Returns:

  • (String)


9936
9937
9938
9939
9940
9941
9942
9943
# File 'gems/aws-sdk-opensearchservice/lib/aws-sdk-opensearchservice/types.rb', line 9936

class UpdateCloneRequest < Struct.new(
  :domain_name,
  :traffic_split_options,
  :cutover_options,
  :retention_options)
  SENSITIVE = []
  include Aws::Structure
end

#retention_options ⇒ Types::RetentionOptions

Changes the retention period, or ends it after cutover completes.



9936
9937
9938
9939
9940
9941
9942
9943
# File 'gems/aws-sdk-opensearchservice/lib/aws-sdk-opensearchservice/types.rb', line 9936

class UpdateCloneRequest < Struct.new(
  :domain_name,
  :traffic_split_options,
  :cutover_options,
  :retention_options)
  SENSITIVE = []
  include Aws::Structure
end

#traffic_split_options ⇒ Types::TrafficSplitRequestOptions

Shifts a percentage of search traffic from the primary cluster to the cloned cluster.



9936
9937
9938
9939
9940
9941
9942
9943
# File 'gems/aws-sdk-opensearchservice/lib/aws-sdk-opensearchservice/types.rb', line 9936

class UpdateCloneRequest < Struct.new(
  :domain_name,
  :traffic_split_options,
  :cutover_options,
  :retention_options)
  SENSITIVE = []
  include Aws::Structure
end